<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage  Branded
	 * @since  Branded 1.0.0
	 */

	/**
	 * branded_doctype hook
	 *
	 * @hooked branded_doctype -  10
	 *
	 */
	do_action( 'branded_doctype' );

?>
<head>
<?php
	/**
	 * branded_before_wp_head hook
	 *
	 * @hooked branded_head -  10
	 *
	 */
	do_action( 'branded_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * branded_page_start_action hook
	 *
	 * @hooked branded_page_start -  10
	 *
	 */
	do_action( 'branded_page_start_action' ); 

	/**
	 * branded_loader_action hook
	 *
	 * @hooked branded_loader -  10
	 *
	 */
	do_action( 'branded_before_header' );

	/**
	 * branded_header_action hook
	 *
	 * @hooked branded_site_branding -  10
	 * @hooked branded_header_start -  20
	 * @hooked branded_site_navigation -  30
	 * @hooked branded_header_end -  50
	 *
	 */
	do_action( 'branded_header_action' );

	/**
	 * branded_content_start_action hook
	 *
	 * @hooked branded_content_start -  10
	 *
	 */
	do_action( 'branded_content_start_action' );

    /**
     * branded_header_image_action hook
     *
     * @hooked branded_header_image -  10
     *
     */
    do_action( 'branded_header_image_action' );
	
