<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Branded
 * @since  Branded 1.0.0
 */

$wp_customize->add_section( 'branded_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','branded' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'branded' ),
		'panel'             => 'branded_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'branded_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'branded_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  branded_Switch_Control( $wp_customize,
	'branded_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'branded' ),
			'section'          	=> 'branded_breadcrumb',
			'on_off_label' 		=> branded_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'branded_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'branded_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'branded' ),
		'active_callback' 	=> 'branded_is_breadcrumb_enable',
		'section'          	=> 'branded_breadcrumb',
	)
);
