<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Branded
 * @since  Branded 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'branded_layout',
	array(
		'title'               => esc_html__('Layout','branded'),
		'description'         => esc_html__( 'Layout section options.', 'branded' ),
		'panel'               => 'branded_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'branded_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'branded_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  branded_Custom_Radio_Image_Control ( $wp_customize,
	'branded_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'branded' ),
			'section'             => 'branded_layout',
			'choices'			  => branded_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'branded_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'branded_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  branded_Custom_Radio_Image_Control ( $wp_customize,
	'branded_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'branded' ),
			'section'             => 'branded_layout',
			'choices'			  => branded_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'branded_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'branded_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  branded_Custom_Radio_Image_Control ( $wp_customize,
	'branded_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'branded' ),
			'section'             => 'branded_layout',
			'choices'			  => branded_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'branded_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'branded_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  branded_Custom_Radio_Image_Control( $wp_customize,
	'branded_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'branded' ),
			'section'             => 'branded_layout',
			'choices'			  => branded_sidebar_position(),
		)
	)
);