<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Branded
 * @since  Branded 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'branded_menu',
	array(
		'title'             => esc_html__('Header Menu','branded'),
		'description'       => esc_html__( 'Header Menu options.', 'branded' ),
		'panel'             => 'nav_menus',
	)
);


$wp_customize->add_setting( 'branded_theme_options[primary_search_enable]',
	array(
		'sanitize_callback' => 'branded_sanitize_switch_control',
		'default'           => $options['primary_search_enable'],
	)
);

$wp_customize->add_control( new  branded_Switch_Control( $wp_customize,
	'branded_theme_options[primary_search_enable]',
		array(
			'label'             => esc_html__( 'Show Search Icon', 'branded' ),
			'description'       => esc_html__( 'Show Search Icon in Primary menu', 'branded' ),
			'section'           => 'branded_menu',
			'on_off_label' 		=> branded_switch_options(),
		)
	)
);

// Topbar content enable control and setting
$wp_customize->add_setting( 'branded_theme_options[social_menu_enable]',
	array(
		'default'			=> 	$options['social_menu_enable'],
		'sanitize_callback' => 'branded_sanitize_switch_control',
	)
);
 
 $wp_customize->add_control( new Branded_Switch_Control( $wp_customize,
	'branded_theme_options[social_menu_enable]',
		array(
			'label'             => esc_html__( 'Social Menu Enable', 'branded' ),
			'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'branded' ), esc_html__( 'Click Here', 'branded' ), esc_html__( 'to create menu', 'branded' ) ),
			'section'           => 'branded_menu',
			'on_off_label' 		=> branded_switch_options(),
		)
	)
);